## kanshi 1.5.1

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('ipc', type: 'feature', value: 'auto', description: 'Enable remote control with varlink')

## kanshi 1.0.0

=== debian/changelog ===
kanshi (1.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #922086)

 -- Birger Schacht <birger@rantanplan.org>  Fri, 30 Aug 2019 14:43:48 +0200

=== debian/control ===
Source: kanshi
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 meson (>=0.48),
 libwayland-dev,
 wayland-protocols (>=1.14),
 pkgconf,
 scdoc
Standards-Version: 4.4.0
Homepage: https://github.com/emersion/kanshi
Vcs-Browser: https://salsa.debian.org/bisco-guest/kanshi
Vcs-Git: https://salsa.debian.org/bisco-guest/kanshi.git
Rules-Requires-Root: no

Package: kanshi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Define output profiles that are automatically enabled and disabled on hotplug
 kanshi allows you to define output profiles that are automatically enabled and
 disabled on hotplug. For instance, this can be used to turn a laptop's internal
 screen off when docked.
 .
 This is a Wayland equivalent for tools like autorandr. kanshi can be used on
 Wayland compositors supporting the wlr-output-management protocol.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/kanshi-$1\.tar\.gz\.sig/,\
filenamemangle=s/.+\/(\d\S+)\.tar\.gz/kanshi-$1\.tar\.gz/ \
https://github.com/emersion/kanshi/releases .*/(\d\S+)\.tar\.gz

## kanshi 1.1.0

=== debian/changelog ===
kanshi (1.1.0-1) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Fixed regex in debian/watch.

  [ Birger Schacht ]
  * New upstream release
  * Added Upstream-Name to d/copyright
  * Renamed default branch to debian/sid and
    added a d/gbp.conf file
  * Updated maintainer to swaywm-team, changed
    Vcs-* URLs accordingly and added myself to
    uploaders
  * Bumped Standards-Version in d/control to
    4.5.0 (no changes required)

 -- Birger Schacht <birger@rantanplan.org>  Sun, 05 Apr 2020 16:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kanshi
 Section: x11
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>
 Build-Depends:
  debhelper-compat (= 12),
  meson (>=0.48),
@@ -9,10 +10,10 @@
  wayland-protocols (>=1.14),
  pkgconf,
  scdoc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/emersion/kanshi
-Vcs-Browser: https://salsa.debian.org/bisco-guest/kanshi
-Vcs-Git: https://salsa.debian.org/bisco-guest/kanshi.git
+Vcs-Browser: https://salsa.debian.org/swaywm-team/kanshi
+Vcs-Git: https://salsa.debian.org/swaywm-team/kanshi.git
 Rules-Requires-Root: no
 
 Package: kanshi

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/kanshi-$1\.tar\.gz\.sig/,\
filenamemangle=s/.+\/(\d\S+)\.tar\.gz/kanshi-$1\.tar\.gz/ \
https://github.com/emersion/kanshi/releases .*/kanshi-(\d\S+)\.tar\.gz

## kanshi 1.2.0

=== debian/changelog ===
kanshi (1.2.0-2) unstable; urgency=medium

  * Update package field in d/control (Closes: #1011010)
  * Bump standards-version to 4.6.0.1 (no changes required)
  * Update year range in d/copyright stanza for debian/*
  * Update d/watch: drop filenamemangle option and switch to git mode

 -- Birger Schacht <birger@debian.org>  Mon, 16 May 2022 16:24:44 +0200

kanshi (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update uploader address
  * Bump debhelper-compat version to 13
  * Add missing bug tracking upstream metadata

 -- Birger Schacht <birger@debian.org>  Wed, 01 Sep 2021 09:50:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>
+Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson (>=0.48),
  libwayland-dev,
  wayland-protocols (>=1.14),
  pkgconf,
  scdoc
-Standards-Version: 4.5.0
-Homepage: https://github.com/emersion/kanshi
+Standards-Version: 4.6.0.1
+Homepage: https://git.sr.ht/~emersion/kanshi/refs
 Vcs-Browser: https://salsa.debian.org/swaywm-team/kanshi
 Vcs-Git: https://salsa.debian.org/swaywm-team/kanshi.git
 Rules-Requires-Root: no

## kanshi 1.3.1

=== debian/changelog ===
kanshi (1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Birger Schacht <birger@debian.org>  Tue, 20 Dec 2022 11:15:11 +0100

kanshi (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1, no changes needed.

 -- Birger Schacht <birger@debian.org>  Sat, 15 Oct 2022 18:49:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  wayland-protocols (>=1.14),
  pkgconf,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://git.sr.ht/~emersion/kanshi/refs
 Vcs-Browser: https://salsa.debian.org/swaywm-team/kanshi
 Vcs-Git: https://salsa.debian.org/swaywm-team/kanshi.git

## kanshi 1.4.0

=== debian/changelog ===
kanshi (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: Update used recipe & set gbp to use overlay in salsa CI
  * Bump Standards-Version to 4.6.2 in d/control (no changes needed)
  * Bump years to 2023 in d/copyright
  * Remove obsolete field Name from d/upstream/metadata

 -- Birger Schacht <birger@debian.org>  Sat, 26 Aug 2023 10:12:14 +0200

## kanshi 1.5.1

=== debian/changelog ===
kanshi (1.5.1-2) unstable; urgency=medium

  * Add patch to remove mention of `kanshictl` from kanshi(1)
    (Closes: #1067853)
  * Add information about kanshictl to d/README.Debian

 -- Birger Schacht <birger@debian.org>  Thu, 28 Mar 2024 09:02:00 +0100

kanshi (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 11 Feb 2024 15:38:17 +0100

kanshi (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: bump years

 -- Birger Schacht <birger@debian.org>  Sun, 28 Jan 2024 15:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  wayland-protocols (>=1.14),
  pkgconf,
  scdoc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~emersion/kanshi/refs
 Vcs-Browser: https://salsa.debian.org/swaywm-team/kanshi
 Vcs-Git: https://salsa.debian.org/swaywm-team/kanshi.git

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://git.sr.ht/~emersion/kanshi refs/tags/v([\d\.]+)

## kanshi 1.9.0

=== debian/changelog ===
kanshi (1.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1100791)
  * debian/control:
   + Add Build-Dependency libscfg-dev
   + Bump Standards-Version to 4.7.3
   + Drop redundant Rules-Requires-Root field
   + Drop redundant Priority field
   + Update Homepage field to point to new repository
  * debian/watch:
   + Update to version 5 and point to new repository
   + Drop pgpmode as tags are not signed
  * debian/copyright:
   + Bump copyright years to 2026
   + Point Source entry to new repository
  * debian/gbp.conf
   + Drop pristine-tar setting from gbp

 -- Birger Schacht <birger@debian.org>  Wed, 11 Feb 2026 18:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kanshi
 Section: x11
-Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- meson (>=0.48),
+ meson (>=0.59),
  libwayland-dev,
+ libscfg-dev,
  wayland-protocols (>=1.14),
  pkgconf,
  scdoc
-Standards-Version: 4.6.2
-Homepage: https://git.sr.ht/~emersion/kanshi/refs
+Standards-Version: 4.7.3
+Homepage: https://gitlab.freedesktop.org/emersion/kanshi
 Vcs-Browser: https://salsa.debian.org/swaywm-team/kanshi
 Vcs-Git: https://salsa.debian.org/swaywm-team/kanshi.git
-Rules-Requires-Root: no
 
 Package: kanshi
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/emersion/kanshi
Matching-Pattern: refs/tags/v([\d\.]+)
Mode: git
